[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomListBox.ItemFullyVisible

Returns True if the item is fully visible in the scrollable list.

## Declaration

Source position: stdctrls.pp line 624

`public function TCustomListBox.ItemFullyVisible(`
`Index: Integer`
`):Boolean;`

## Arguments

`Index` |  | Ordinal position for the item examined in the method.

## Function result

True when the specified item is fully visible in the list box control.

## Description

ItemFullyVisible is a Boolean function used to determine the item at the position in Index is fully visible in the list box control. The return value is False under the following conditions:

- Index is out of range for the values in Items.
- An item rectangle could not be retrieved from the widgetset class.
- The item rectangle is invalid or obscured in the control (where Top < 0 or Bottom > ClientHeight).

Use ItemVisible to determine if the specified item is at least partially visible in the list box control.

## See also

TCustomListBox.ItemVisible |  | Returns True if the item is at least partially visible in the scrollable list.